Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Comparing changes

Choose two branches to see what's changed or to start a new pull request. If you need to, you can also compare across forks.

Open a pull request

Create a new pull request by comparing changes across two branches. If you need to, you can also compare across forks.
base fork: thoughtbot/capybara-webkit
...
head fork: skddc/capybara-webkit
compare: master
Checking mergeability… Don't worry, you can still create the pull request.
  • 1 commit
  • 3 files changed
  • 0 commit comments
  • 1 contributor
Commits on Jun 30, 2011
Sebastian Kippe update for capybara 1.0.0 0fc3dea
Showing with 17 additions and 22 deletions.
  1. +1 −1  Gemfile
  2. +15 −19 Gemfile.lock
  3. +1 −2  capybara-webkit.gemspec
View
2  Gemfile
@@ -2,4 +2,4 @@ source "http://rubygems.org"
gem "rspec", :require => false
gem "capybara"
gem "sinatra", :require => false
-
+gem "rake", "~> 0.8.7"
View
34 Gemfile.lock
@@ -1,27 +1,22 @@
GEM
remote: http://rubygems.org/
specs:
- capybara (0.4.1.2)
- celerity (>= 0.7.9)
- culerity (>= 0.2.4)
+ capybara (1.0.0)
mime-types (>= 1.16)
nokogiri (>= 1.3.3)
rack (>= 1.0.0)
rack-test (>= 0.5.4)
- selenium-webdriver (>= 0.0.27)
- xpath (~> 0.1.3)
- celerity (0.8.8)
- childprocess (0.1.7)
- ffi (~> 0.6.3)
- culerity (0.2.15)
+ selenium-webdriver (~> 0.2.0)
+ xpath (~> 0.1.4)
+ childprocess (0.1.9)
+ ffi (~> 1.0.6)
diff-lcs (1.1.2)
- ffi (0.6.3)
- rake (>= 0.8.7)
- json_pure (1.5.1)
+ ffi (1.0.9)
+ json_pure (1.5.3)
mime-types (1.16)
- nokogiri (1.4.4)
- rack (1.2.1)
- rack-test (0.5.7)
+ nokogiri (1.4.6)
+ rack (1.3.0)
+ rack-test (0.6.0)
rack (>= 1.0)
rake (0.8.7)
rspec (2.5.0)
@@ -33,16 +28,16 @@ GEM
diff-lcs (~> 1.1.2)
rspec-mocks (2.5.0)
rubyzip (0.9.4)
- selenium-webdriver (0.1.3)
- childprocess (~> 0.1.5)
- ffi (~> 0.6.3)
+ selenium-webdriver (0.2.2)
+ childprocess (>= 0.1.9)
+ ffi (>= 1.0.7)
json_pure
rubyzip
sinatra (1.1.2)
rack (~> 1.1)
tilt (~> 1.2)
tilt (1.2.2)
- xpath (0.1.3)
+ xpath (0.1.4)
nokogiri (~> 1.3)
PLATFORMS
@@ -50,5 +45,6 @@ PLATFORMS
DEPENDENCIES
capybara
+ rake (~> 0.8.7)
rspec
sinatra
View
3  capybara-webkit.gemspec
@@ -13,7 +13,6 @@ Gem::Specification.new do |s|
s.require_path = "lib"
s.rubygems_version = "1.3.5"
s.summary = "Headless Webkit driver for Capybara"
- s.add_runtime_dependency "capybara", "~> 0.4.1"
+ s.add_runtime_dependency "capybara", "~> 1.0.0"
s.extensions = "extconf.rb"
end
-

No commit comments for this range

Something went wrong with that request. Please try again.